%define api_version	2
%define lib_major	0
%define pkgname     libgnomeui
%define libname		%mklibname gnomeui %{api_version} %{lib_major}
%define libnamedev	%mklibname -d gnomeui %{api_version}

Summary: Main GNOME libraries
Name: %{pkgname}%{api_version}
Version: 2.24.5
Release: %mkrel 2
Source0: https://download.gnome.org/sources/%{pkgname}/%{pkgname}-%{version}.tar.xz
Patch0: libgnomeui-2.22.1-floor.patch
License: LGPLv2+
Url: http://www.gnome.org/
Group: System/Libraries
BuildRequires: pkgconfig(gconf-2.0) >= 1.1.11
BuildRequires: pkgconfig(gdk-pixbuf-2.0) >= 2.12.0
BuildRequires: pkgconfig(gio-2.0) >= 2.16.0
BuildRequires: pkgconfig(glib-2.0) >= 2.16.0
BuildRequires: pkgconfig(gnome-keyring-1) >= 0.4
BuildRequires: pkgconfig(gnome-vfs-2.0) >= 2.7.3
BuildRequires: pkgconfig(ice)
BuildRequires: pkgconfig(libbonoboui-2.0) >= 2.13.1
BuildRequires: pkgconfig(libglade-2.0) >= 2.0.0
BuildRequires: pkgconfig(libgnome-2.0) >= 2.13.7
BuildRequires: pkgconfig(libgnomecanvas-2.0) >= 2.0.0
BuildRequires: pkgconfig(libxml-2.0) >= 2.4.20
BuildRequires: pkgconfig(pango) >= 1.1.2
BuildRequires: pkgconfig(sm)
BuildRequires: gtk-doc >= 0.9
BuildRequires: intltool
BuildRequires: gnome-common
BuildRequires: gettext-devel
Requires: gnome-icon-theme

%description
Data files for the GNOME UI library such as translations.

%package -n %{libname}
Summary:	GNOME libraries
Group:		%{group}
Requires:	%{name} >= %{version}

%description -n %{libname}
GNOME library contains extra widgets to let your 
GNOME applications really shine

%package -n %{libnamedev}
Summary:	Static libraries, include files for GNOME
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Provides:	gnomeui2-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Requires:	%{name} = %{version}
Obsoletes:	%mklibname -d gnomeui %{api_version} 0

%description -n %{libnamedev}
Static library, headers files and documentation needed in order 
to develop applications using the GNOME library.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .floor

autoreconf -fi

%build
%configure2_5x --enable-gtk-doc=no --disable-static --enable-compile-warnings=no
%make

%install
rm -rf %buildroot
%makeinstall_std

%find_lang %{pkgname}-2.0

#remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/libglade/2.0/*.{la,a} \
 $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/*/filesystems/lib*a

%files -f %{pkgname}-2.0.lang
%doc AUTHORS NEWS README 
%{_libdir}/libglade/2.0/*.so
%{_datadir}/pixmaps/*

%files -n %{libname}
%{_libdir}/libgnomeui-2.so.0*

%files -n %{libnamedev}
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so

%clean
rm -rf %buildroot


%changelog
* Fri Aug 22 2014 bb <bb> 2.24.5-2pclos2014
- rebuild new directfb
